import 'reflect-metadata';
import { Event } from '@theia/core';
export declare class OutputChannelManager {
    protected readonly channels: Map<string, OutputChannel>;
    private readonly channelDeleteEmitter;
    private readonly channelAddedEmitter;
    readonly onChannelDelete: Event<{
        channelName: string;
    }>;
    readonly onChannelAdded: Event<OutputChannel>;
    constructor();
    getChannel(name: string): OutputChannel;
    deleteChannel(name: string): void;
    getChannels(): OutputChannel[];
}
export declare class OutputChannel {
    readonly name: string;
    private readonly visibilityChangeEmitter;
    private readonly contentChangeEmitter;
    private lines;
    private currentLine;
    private visible;
    readonly onVisibilityChange: Event<{
        visible: boolean;
    }>;
    readonly onContentChange: Event<OutputChannel>;
    constructor(name: string);
    append(value: string): void;
    appendLine(line: string): void;
    clear(): void;
    setVisibility(visible: boolean): void;
    getLines(): string[];
    readonly isVisible: boolean;
}
